List staff
Lists the staff members (collaborateurs) whose agenda columns the salon runs.
GET https://cotlet.dev/api/v1/planity/staffs
read
Returns the id and name of each staff member, as the agenda shows them. Use the ids to filter list_appointments and to block time with block_time.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/planity/staffs \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("planity", "list_staff") const result = await cotlet.call('planity', 'list_staff'); cotlet call planity list_staff Example response
{
"staff": [
{
"staff_id": "st_01",
"name": "Amélie"
},
{
"staff_id": "st_02",
"name": "Lucas"
},
{
"staff_id": "st_03",
"name": "Inès"
}
]
}